/* Video Section Styles */
.video-section {
  display: flex;
  align-items: center;
  justify-content: center;
}

.video-section-inner {
  position: relative;
  background-size: cover;
  background-position: center;
  border-radius: 12px;
  overflow: hidden;
  max-width: 1400px;
  width: 100%;
  cursor: pointer;
}

.video-section-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.video-section-content {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  text-align: center;
  color: white;
  padding: 60px 60px;
}

.video-section-content h2 {
  font-size: 50px;
  font-weight: 700;
}

.video-section-content p {
  font-size: 18px;
  margin-bottom: 30px;
  max-width: 600px;
}

.video-play-button {
  display: flex;
  align-items: center;
  color: #ffff;
  border: none;
  border-radius: 50px;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
  background: transparent;
}

.video-play-button:hover {
  transform: scale(1.05);
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.3);
}

.play-icon {
  display: inline-flex;
  width: 90px;
  height: 90px;
  margin-right: 8px;
}

/* Video Modal Styles */
.video-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

.video-modal.active {
  opacity: 1;
  visibility: visible;
}

.video-modal-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  cursor: pointer;
}

.video-modal-container {
  position: relative;
  width: 90%;

  z-index: 1;
}

.video-modal-close {
  position: absolute;
  top: -40px;
  right: -40px;
  width: 40px;
  height: 40px;
  background-color: transparent;
  border: none;
  color: white;
  font-size: 32px;
  cursor: pointer;
  z-index: 2;
}

.video-responsive {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
  height: 0;
  overflow: hidden;
}

.video-responsive iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 8px;
}

/* Responsiv design */
@media (max-width: 768px) {
  .video-section-content h2 {
    font-size: 28px;
  }
  .video-section-inner {
    margin: 0 10px;
  }

  .video-section-content p {
    font-size: 16px;
  }

  .video-modal-close {
    top: -30px;
    right: 0;
  }
}

@media (max-width: 480px) {
  .video-section-content h2 {
    font-size: 24px;
  }
}
